#!/usr/bin/env ruby -wKU

###################################################################
# build Soundflower, install it, and start it
# installs to /System/Library/Extensions
# requires admin permissions and will ask for your password
###################################################################

#require 'open3'
require 'fileutils'
require 'pathname'
#require 'rexml/document'
#include REXML

# This finds our current directory, to generate an absolute path for the require
libdir = "."
Dir.chdir libdir        # change to libdir so that requires work

@svn_root = ".."

puts "  Unloading and removing existing nxvac.kext"
if File.exists?("/System/Library/Extensions/nxvac.kext")
  puts "    first unload (will often fail, but will cause nxvac's performAudioEngineStop to be called)"
  `sudo kextunload /System/Library/Extensions/nxvac.kext`
  puts "    second unload (this one should work)"
  `sudo kextunload /System/Library/Extensions/nxvac.kext`
  puts "    removing"
  puts `sudo rm -rf /System/Library/Extensions/nxvac.kext`
end

puts "  Done."
puts ""
exit 0
